PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package serverobject
  Definition Classes
    objects
-  package damage
  Definition Classes
    serverobject
- AggravatedBehavior
- Damageable
- DamageableAmenity
- DamageableEntity
- DamageableMountable
- DamageableVehicle
- DamageableWeaponTurret

o

net.psforever.objects.serverobject.damage

# DamageableEntity

###
Companion trait DamageableEntity

#### object DamageableEntity

Source
  DamageableEntity.scala

Linear Supertypes
AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. DamageableEntity
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def DamageAwareness(target: Target, cause: DamageResult, amount: Int): Unit

   A damaged target dispatches messages to: - reports its adjusted its health; - alert the activity monitor for that `Zone` about the damage; and, - provide a feedback message regarding the damage.

   A damaged target dispatches messages to: - reports its adjusted its health; - alert the activity monitor for that `Zone` about the damage; and, - provide a feedback message regarding the damage.

   target

     the entity being damaged

   cause

     historical information about the damage

   See also

     `AvatarAction.PlanetsideAttributeToAll`

     `AvatarAction.SendResponse`

     `AvatarServiceMessage`

     `DamageFeedbackMessage`

     `JammableUnit.Jammered`

     `Service.defaultPlayerGUID`

     `Zone.Activity`

     `Zone.AvatarEvents`

     `Zone.HotSpot.Activity`

     `Zone.LivePlayers`

5.  def DamageToHealth(target: Target, cause: DamageResult, amount: Int): Boolean
6.  def DestructionAwareness(target: Target, cause: DamageResult): Unit

   A destroyed target dispatches messages to: - reports its adjusted its health; and, - report about its destruction.

   A destroyed target dispatches messages to: - reports its adjusted its health; and, - report about its destruction.

   target

     the entity being destroyed

   cause

     historical information about the damage

   See also

     `AvatarAction.Destroy`

     `AvatarAction.PlanetsideAttribute`

     `AvatarServiceMessage`

     `DamageFeedbackMessage`

     `JammableUnit.ClearJammeredSound`

     `JammableUnit.ClearJammeredStatus`

     `Zone.AvatarEvents`

7.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
8.  def attributionTo(cause: DamageResult, zone: Zone, default: PlanetSideGUID = PlanetSideGUID(0)): PlanetSideGUID
9.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
10.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
11.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
12.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
13.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
14.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
15.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
16.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
17.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
18.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
19.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
20.  def toString(): String
    Definition Classes
      AnyRef → Any
21.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
22.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
23.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from AnyRef

### Inherited from Any

### Ungrouped